
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops delete cluster

Delete a cluster.

### Synopsis

Deletes a Kubernetes cluster and all associated resources.  Resources include instancegroups, secrets, and the state store.  There is no "UNDO" for this command.

```
kops delete cluster [CLUSTER] [flags]
```

### Examples

```
  # Delete a cluster.
  # The --yes option runs the command immediately.
  kops delete cluster --name=k8s.cluster.site --yes
```

### Options

```
      --count int           Number of consecutive failures to make progress deleting the cluster resources
      --external            Delete an external cluster
  -h, --help                help for cluster
      --interval duration   Time in duration to wait between deletion attempts (default 10s)
      --region string       External cluster's cloud region
      --unregister          Don't delete cloud resources, just unregister the cluster
      --wait duration       Amount of time to wait for the cluster resources to de deleted (default 10m0s)
  -y, --yes                 Specify --yes to delete the cluster
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops delete](kops_delete.md)	 - Delete clusters, instancegroups, instances, and secrets.

